## kf6-kdesu 6.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.3.0") # handled by release scripts
set(KF_DEP_VERSION "6.3.0") # handled by release scripts
project(KDESu VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.3.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 6.5.0)
find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Pty ${KF_DEP_VERSION} REQUIRED)

#optional features
find_package(X11)
set(HAVE_X11 ${X11_FOUND})

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(KDESU_USE_SUDO_DEFAULT "Set On to use sudo instead of su [default=Off]" Off)
option(KDESU_USE_DOAS_DEFAULT "Set On to use doas instead of su and sudo [default=Off]" Off)
if(KDESU_USE_SUDO_DEFAULT AND KDESU_USE_DOAS_DEFAULT)
   message(FATAL_ERROR "Choose between sudo(1) or doas(1)")
elseif(KDESU_USE_SUDO_DEFAULT)
  message("Using sudo as default")
elseif(KDESU_USE_DOAS_DEFAULT)
  message("Using doas as default")
else()
  message("Using su as default (set KDESU_USE_SUDO_DEFAULT=On to use sudo)")
endif()

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(kdesu_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kdesu_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KDESU
                        VERSION_HEADER "${kdesu_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfigVersion.cmake"
                        SOVERSION 6)
ecm_set_disabled_deprecation_versions(
    QT 6.5.0
    KF 5.240.0
)

ki18n_install(po)
add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Su")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6Su_QCH
        FILE KF6SuQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6SuQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6SuConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6SuTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6SuTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${kdesu_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDESu COMPONENT Devel
)

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kdesu (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:59:00 +0200

kf6-kdesu (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Apr 2024 18:54:10 +0200

kdesu (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:03:43 +0100

kdesu (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:40 +0200

kdesu (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:58 +0100

kdesu (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:29 +0100

kdesu (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:07 +0100

kdesu (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Drop patches applied upstream.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:31 +0100

kdesu (5.100.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Drop the unused leftovers of the 'testsuite' autpkgtest.
  * Remove the unused debian/meta/ stuff.
  * CI: enable again the blhc job.
  * Backport upstream commit 3463f37ed451003deb301ae7b5b156f552a6c1b5 to fix
    the build on non-Linux architectures; patch
    upstream_Include-sys-prctl.h-only-on-Linux.patch.
  * Remove breaks/replaces for existing packages with versions older than
    oldstable.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Nov 2022 08:15:25 +0100

kdesu (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:03 +0100

kdesu (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:46 +0200

kdesu (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:37 +0200

kdesu (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:05 +0200

kdesu (5.94.0-2) unstable; urgency=medium

  [ Rik Mills ]
  * Disable use of sudo 'Defaults use_pty' for kdesu. (Closes: #1011624)
  * Improve short description for libkf5su5.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Jun 2022 11:20:21 +0200

kdesu (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:05 +0200

kdesu (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

kdesu (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

kdesu (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:39 +0900

kdesu (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:53:31 +0900

kdesu (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:46 +0900

kdesu (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).



=== debian/control ===
Source: kf6-kdesu
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6pty-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kdesu
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu.git
Rules-Requires-Root: no

Package: libkf6su-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: runtime files for kdesu
 Framework to handle super user actions.
 .
 Contains runtime files for kdesu.

Package: libkf6su-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: translation files for kdesu
 Framework to handle super user actions
 .
 Contains translation files for kdesu.

Package: libkf6su-dev
Section: libdevel
Architecture: any
Depends: libkf6pty-dev (>= 6.3.0~),
         libkf6su6 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf6su-doc (= ${source:Version}),
Description: development files for kdesu
 Framework to handle super user actions.
 .
 Contains development files for kdesu.

Package: libkf6su-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: runtime files for kdesu (documentation)
 Framework to handle super user actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6su6
Architecture: any
Multi-Arch: same
Depends: libkf6su-data (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6su-bin (= ${binary:Version}),
Description: Integration with su for privilege escalation
 Framework to handle super user actions

## kf6-kdesu 6.4.0

=== debian/changelog ===
kf6-kdesu (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:40 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6pty-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.4.0~),
+               libkf6config-dev (>= 6.4.0~),
+               libkf6coreaddons-dev (>= 6.4.0~),
+               libkf6i18n-dev (>= 6.4.0~),
+               libkf6pty-dev (>= 6.4.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
@@ -42,7 +42,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.3.0~),
+Depends: libkf6pty-dev (>= 6.4.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

## kf6-kdesu 6.5.0

=== debian/changelog ===
kf6-kdesu (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 21:07:06 +0200

kf6-kdesu (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:07 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.4.0~),
-               libkf6config-dev (>= 6.4.0~),
-               libkf6coreaddons-dev (>= 6.4.0~),
-               libkf6i18n-dev (>= 6.4.0~),
-               libkf6pty-dev (>= 6.4.0~),
+               extra-cmake-modules (>= 6.5.0~),
+               libkf6config-dev (>= 6.5.0~),
+               libkf6coreaddons-dev (>= 6.5.0~),
+               libkf6i18n-dev (>= 6.5.0~),
+               libkf6pty-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
@@ -42,7 +42,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.4.0~),
+Depends: libkf6pty-dev (>= 6.5.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

## kf6-kdesu 6.6.0

=== debian/changelog ===
kf6-kdesu (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:05:34 +0100

kf6-kdesu (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:22:26 +0100

kf6-kdesu (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:33:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kdesu
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,17 +10,17 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.5.0~),
-               libkf6config-dev (>= 6.5.0~),
-               libkf6coreaddons-dev (>= 6.5.0~),
-               libkf6i18n-dev (>= 6.5.0~),
-               libkf6pty-dev (>= 6.5.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6pty-dev (>= 6.6.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kdesu
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
 Rules-Requires-Root: no
 
 Package: libkf6su-bin
@@ -42,7 +43,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.5.0~),
+Depends: libkf6pty-dev (>= 6.6.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

## kf6-kdesu 6.8.0

=== debian/changelog ===
kf6-kdesu (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:35:34 +0000

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6pty-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.8.0~),
+               libkf6config-dev (>= 6.8.0~),
+               libkf6coreaddons-dev (>= 6.8.0~),
+               libkf6i18n-dev (>= 6.8.0~),
+               libkf6pty-dev (>= 6.8.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
@@ -43,7 +43,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.6.0~),
+Depends: libkf6pty-dev (>= 6.8.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

## kf6-kdesu 6.9.0

=== debian/changelog ===
kf6-kdesu (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:45:55 +0000

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.8.0~),
-               libkf6config-dev (>= 6.8.0~),
-               libkf6coreaddons-dev (>= 6.8.0~),
-               libkf6i18n-dev (>= 6.8.0~),
-               libkf6pty-dev (>= 6.8.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6pty-dev (>= 6.9.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
@@ -43,7 +43,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.8.0~),
+Depends: libkf6pty-dev (>= 6.9.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

## kf6-kdesu 6.10.0

=== debian/changelog ===
kf6-kdesu (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:24:57 +0100

kf6-kdesu (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:10:58 +0100

kf6-kdesu (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:24 -0600

kf6-kdesu (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:10:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kf6-kdesu
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
-               libkf6config-dev (>= 6.9.0~),
-               libkf6coreaddons-dev (>= 6.9.0~),
-               libkf6i18n-dev (>= 6.9.0~),
-               libkf6pty-dev (>= 6.9.0~),
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6pty-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kdesu
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu.git
 Rules-Requires-Root: no
 
 Package: libkf6su-bin
@@ -43,7 +42,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.9.0~),
+Depends: libkf6pty-dev (>= 6.10.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

## kf6-kdesu 6.11.0

=== debian/changelog ===
kf6-kdesu (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:23:35 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6pty-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6pty-dev (>= 6.11.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
@@ -42,7 +42,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.10.0~),
+Depends: libkf6pty-dev (>= 6.11.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

## kf6-kdesu 6.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.3.0") # handled by release scripts
-set(KF_DEP_VERSION "6.3.0") # handled by release scripts
+set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_DEP_VERSION "6.12.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.3.0  NO_MODULE)
+find_package(ECM 6.12.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -22,7 +22,7 @@
 include(ECMAddQch)
 include(ECMDeprecationSettings)
 
-set(REQUIRED_QT_VERSION 6.5.0)
+set(REQUIRED_QT_VERSION 6.6.0)
 find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
 find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
@@ -57,8 +57,8 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfigVersion.cmake"
                         SOVERSION 6)
 ecm_set_disabled_deprecation_versions(
-    QT 6.5.0
-    KF 5.240.0
+    QT 6.8.0
+    KF 6.11.0
 )
 
 ki18n_install(po)

=== debian/changelog ===
kf6-kdesu (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:51:23 +0000

kf6-kdesu (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:47:14 +0000

kf6-kdesu (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:18:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: kf6-kdesu
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
-               libkf6pty-dev (>= 6.11.0~),
-               qt6-base-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6pty-dev (>= 6.12.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kdesu
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
 Rules-Requires-Root: no
 
 Package: libkf6su-bin
@@ -42,7 +43,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.11.0~),
+Depends: libkf6pty-dev (>= 6.12.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

## kf6-kdesu 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_DEP_VERSION "6.13.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -57,8 +57,8 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfigVersion.cmake"
                         SOVERSION 6)
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.9.0
+    KF 6.12.0
 )
 
 ki18n_install(po)

=== debian/changelog ===
kf6-kdesu (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:36:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kf6-kdesu
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6config-dev (>= 6.12.0~),
-               libkf6coreaddons-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
-               libkf6pty-dev (>= 6.12.0~),
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6config-dev (>= 6.13.0~),
+               libkf6coreaddons-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
+               libkf6pty-dev (>= 6.13.0~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kdesu
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu.git
 Rules-Requires-Root: no
 
 Package: libkf6su-bin
@@ -43,7 +42,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.12.0~),
+Depends: libkf6pty-dev (>= 6.13.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

## kf6-kdesu 6.16.0

=== debian/changelog ===
kf6-kdesu (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:41:50 +0100

kf6-kdesu (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:32:33 +0100

kf6-kdesu (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:57:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: kf6-kdesu
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6i18n-dev (>= 6.13.0~),
-               libkf6pty-dev (>= 6.13.0~),
-               qt6-base-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
+               libkf6pty-dev (>= 6.16.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kdesu
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
 Rules-Requires-Root: no
 
 Package: libkf6su-bin
@@ -42,7 +43,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.13.0~),
+Depends: libkf6pty-dev (>= 6.16.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

## kf6-kdesu 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
-set(KF_DEP_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -19,10 +19,10 @@
 include(ECMGenerateHeaders)
 include(ECMMarkNonGuiExecutable)
 include(ECMQtDeclareLoggingCategory)
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 include(ECMDeprecationSettings)
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
 find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
@@ -48,17 +48,14 @@
   message("Using su as default (set KDESU_USE_SUDO_DEFAULT=On to use sudo)")
 endif()
 
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
-
 set(kdesu_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kdesu_version.h")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KDESU
                         VERSION_HEADER "${kdesu_version_header}"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SuConfigVersion.cmake"
                         SOVERSION 6)
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.12.0
+    QT 6.10.0
+    KF 6.16.0
 )
 
 ki18n_install(po)
@@ -66,16 +63,6 @@
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Su")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6Su_QCH
-        FILE KF6SuQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6SuQchTargets.cmake\")")
-endif()
 
 include(CMakePackageConfigHelpers)

=== src/kdesud/autotests/CMakeLists.txt ===
include(ECMAddTests)
find_package(Qt6Test REQUIRED)
configure_file(config-kdesudtest.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdesudtest.h)
ecm_add_test(kdesudtest.cpp ../lexer.cpp TEST_NAME kdesudtest LINK_LIBRARIES Qt6::Test KF6::CoreAddons KF6::ConfigCore)

=== debian/changelog ===
kf6-kdesu (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:14:47 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6pty-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6pty-dev (>= 6.17.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
@@ -43,7 +43,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.16.0~),
+Depends: libkf6pty-dev (>= 6.17.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

## kf6-kdesu 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -55,7 +55,7 @@
                         SOVERSION 6)
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.17.0
 )
 
 ki18n_install(po)

=== src/CMakeLists.txt ===
add_subdirectory(kdesud)

include(CheckTypeSize)
include(CheckIncludeFiles)
include(CheckFunctionExists)

check_function_exists(setpriority HAVE_SETPRIORITY)
check_function_exists(getpeereid HAVE_GETPEEREID)
check_function_exists(initgroups HAVE_INITGROUPS)

check_include_files(sys/select.h  HAVE_SYS_SELECT_H)

set(CMAKE_EXTRA_INCLUDE_FILES sys/socket.h)
check_type_size("struct ucred" STRUCT_UCRED) #defines HAVE_STRUCT_UCRED (bool) and STRUCT_UCRED (size, unused)
set(CMAKE_EXTRA_INCLUDE_FILES)  #reset CMAKE_EXTRA_INCLUDE_FILES

configure_file(config-kdesu.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdesu.h)

add_library(KF6Su)
add_library(KF6::Su ALIAS KF6Su)

set_target_properties(KF6Su PROPERTIES
    VERSION     ${KDESU_VERSION}
    SOVERSION   ${KDESU_SOVERSION}
    EXPORT_NAME Su
)

target_sources(KF6Su PRIVATE
  client.cpp
  ptyprocess.cpp
  kcookie.cpp
  suprocess.cpp
  sshprocess.cpp
  stubprocess.cpp
)

ecm_qt_declare_logging_category(KF6Su
    HEADER ksu_debug.h
    IDENTIFIER KSU_LOG
    CATEGORY_NAME kf.su
    DESCRIPTION "KSu (KDESu)"
    EXPORT KSU
)

ecm_generate_export_header(KF6Su
    EXPORT_FILE_NAME kdesu/kdesu_export.h
    BASE_NAME KDESu
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

if(KDESU_USE_SUDO_DEFAULT)
  target_compile_definitions(KF6Su PRIVATE -DKDESU_USE_SUDO_DEFAULT="true")
elseif(KDESU_USE_DOAS_DEFAULT)
  target_compile_definitions(KF6Su PRIVATE -DKDESU_USE_DOAS_DEFAULT="true")
endif()

target_include_directories(KF6Su PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/..)

# Apps must include <KDESu/File> or <kdesu/file.h>
target_include_directories(KF6Su INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KDESu>")

target_link_libraries(KF6Su
  PUBLIC
    KF6::Pty
  PRIVATE
    KF6::CoreAddons # KUser::loginName
    KF6::ConfigCore # KConfigGroup
)


ecm_generate_headers(KDESu_CamelCase_HEADERS
  HEADER_NAMES
  PtyProcess
  SuProcess
  SshProcess
  StubProcess
  Client

  PREFIX KDESu
  REQUIRED_HEADERS KDESu_HEADERS
)

ecm_generate_qdoc(KF6Su kdesu.qdocconf)

install(FILES ${KDESu_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDESu/KDESu COMPONENT Devel)

install(TARGETS KF6Su EXPORT KF6SuTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

include(ECMMarkNonGuiExecutable)

set_source_files_properties(kdesu_stub.c PROPERTIES
                            COMPILE_DEFINITIONS "_XOPEN_SOURCE;_BSD_SOURCE")

add_executable(kdesu_stub kdesu_stub.c)
set_property(TARGET kdesu_stub PROPERTY POSITION_INDEPENDENT_CODE ON)
ecm_mark_nongui_executable(kdesu_stub)

install(TARGETS kdesu_stub DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})

########### install files ###############
install(FILES
  defaults.h
  ${CMAKE_CURRENT_BINARY_DIR}/kdesu/kdesu_export.h
  ${KDESu_HEADERS}
  DESTINATION  ${KDE_INSTALL_INCLUDEDIR_KF}/KDESu/kdesu COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KSU
    FILE ksu.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

=== debian/changelog ===
kf6-kdesu (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:17:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: kf6-kdesu
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
-               libkf6config-dev (>= 6.17.0~),
-               libkf6coreaddons-dev (>= 6.17.0~),
-               libkf6i18n-dev (>= 6.17.0~),
-               libkf6pty-dev (>= 6.17.0~),
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6config-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6pty-dev (>= 6.18.0~),
+               qt6-base-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kdesu
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdesu
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdesu.git
 Rules-Requires-Root: no
 
 Package: libkf6su-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: runtime files for kdesu
  Framework to handle super user actions.
  .
@@ -43,7 +43,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.17.0~),
+Depends: libkf6pty-dev (>= 6.18.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DKDESU_USE_SUDO_DEFAULT=ON -DBUILD_QCH=ON
